ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/OpenMD/branches/development/configure
(Generate patch)

Comparing trunk/configure (file contents):
Revision 397 by gezelter, Fri Mar 4 15:29:03 2005 UTC vs.
Revision 506 by gezelter, Fri Apr 15 22:03:16 2005 UTC

# Line 312 | Line 312 | ac_includes_default="\
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR PS MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT PERLINTERP PERL_SHEBANG AR PS MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI CXXCPP USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 789 | Line 789 | ac_cv_env_CPP_value=$CPP
789   ac_env_CPP_value=$CPP
790   ac_cv_env_CPP_set=${CPP+set}
791   ac_cv_env_CPP_value=$CPP
792 + ac_env_CXXCPP_set=${CXXCPP+set}
793 + ac_env_CXXCPP_value=$CXXCPP
794 + ac_cv_env_CXXCPP_set=${CXXCPP+set}
795 + ac_cv_env_CXXCPP_value=$CXXCPP
796  
797   #
798   # Report the --help message.
# Line 875 | Line 879 | Optional Packages:
879   Optional Packages:
880    --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
881    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
882 +  --with-perl-shebang     override what perl thinks is the way for the kernel
883 +                          to start it (seldom needed)
884    --with-mpi=<prefix>     compile with MPI installed in <prefix> [default=no]
885 +  --with-cgal-makefile=FILE  CGAL makefile that should be used
886  
887   Some influential environment variables:
888    CC          C compiler command
# Line 889 | Line 896 | Some influential environment variables:
896    F90         Fortran 90 compiler command
897    F90FLAGS    Fortran 90 compiler flags
898    CPP         C preprocessor
899 +  CXXCPP      C++ preprocessor
900  
901   Use these variables to override the choices made by `configure' or to help
902   it to find libraries and programs with nonstandard names/locations.
# Line 1874 | Line 1882 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1882  
1883  
1884  
1885 + #
1886 + #
1887 + #
1888  
1889  
1890  
# Line 3539 | Line 3550 | F90FLAGS="$F90FLAGS $ac_verb"
3550   ac_save_F90FLAGS=$F90FLAGS
3551   F90FLAGS="$F90FLAGS $ac_verb"
3552  
3553 < (eval echo $as_me:3542: \"$ac_link\") >&5
3553 > (eval echo $as_me:3553: \"$ac_link\") >&5
3554   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3555   echo "$ac_f90_v_output" >&5
3556   F90FLAGS=$ac_save_F90FLAGS
# Line 3616 | Line 3627 | F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3627   ac_save_F90FLAGS=$F90FLAGS
3628   F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3629  
3630 < (eval echo $as_me:3619: \"$ac_link\") >&5
3630 > (eval echo $as_me:3630: \"$ac_link\") >&5
3631   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3632   echo "$ac_f90_v_output" >&5
3633   F90FLAGS=$ac_save_F90FLAGS
# Line 7151 | Line 7162 | _ACEOF
7162   cat >>confdefs.h <<\_ACEOF
7163   #define YYTEXT_POINTER 1
7164   _ACEOF
7165 +
7166 + fi
7167 +
7168 + fi
7169 +
7170 +   # Extract the first word of "perl", so it can be a program name with args.
7171 + set dummy perl; ac_word=$2
7172 + echo "$as_me:$LINENO: checking for $ac_word" >&5
7173 + echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
7174 + if test "${ac_cv_path_PERLINTERP+set}" = set; then
7175 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7176 + else
7177 +  case $PERLINTERP in
7178 +  [\\/]* | ?:[\\/]*)
7179 +  ac_cv_path_PERLINTERP="$PERLINTERP" # Let the user override the test with a path.
7180 +  ;;
7181 +  *)
7182 +  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
7183 + for as_dir in $PATH
7184 + do
7185 +  IFS=$as_save_IFS
7186 +  test -z "$as_dir" && as_dir=.
7187 +  for ac_exec_ext in '' $ac_executable_extensions; do
7188 +  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
7189 +    ac_cv_path_PERLINTERP="$as_dir/$ac_word$ac_exec_ext"
7190 +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
7191 +    break 2
7192 +  fi
7193 + done
7194 + done
7195 +
7196 +  test -z "$ac_cv_path_PERLINTERP" && ac_cv_path_PERLINTERP="perl"
7197 +  ;;
7198 + esac
7199 + fi
7200 + PERLINTERP=$ac_cv_path_PERLINTERP
7201  
7202 + if test -n "$PERLINTERP"; then
7203 +  echo "$as_me:$LINENO: result: $PERLINTERP" >&5
7204 + echo "${ECHO_T}$PERLINTERP" >&6
7205 + else
7206 +  echo "$as_me:$LINENO: result: no" >&5
7207 + echo "${ECHO_T}no" >&6
7208   fi
7209 +
7210 +   ac_cv_path_perlinterp="$PERLINTERP"
7211 +   _sHpB='#!'
7212 +
7213 +
7214 + # Check whether --with-perl-shebang or --without-perl-shebang was given.
7215 + if test "${with_perl_shebang+set}" = set; then
7216 +  withval="$with_perl_shebang"
7217 +  opt_perl_shebang="$withval"
7218 + else
7219 +                opt_perl_shebang="not_set"
7220 + fi;
7221 +   echo "$as_me:$LINENO: checking whether explicit instead of detected sharpbang is to be used" >&5
7222 + echo $ECHO_N "checking whether explicit instead of detected sharpbang is to be used... $ECHO_C" >&6
7223 + if test "${ax_cv_opt_perl_shebang+set}" = set; then
7224 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7225 + else
7226 +   case "$opt_perl_shebang" in
7227 +                      not_set  ) ax_cv_opt_perl_shebang=''
7228 +                               ;;
7229 +                         *     )
7230 +        ax_cv_opt_perl_shebang=`echo "$opt_perl_shebang" | sed -e's|^#!\s*\(.*\)$|\1|'`
7231 +                    esac
7232 +
7233 + fi
7234 + echo "$as_me:$LINENO: result: $ax_cv_opt_perl_shebang" >&5
7235 + echo "${ECHO_T}$ax_cv_opt_perl_shebang" >&6
7236 +   if test "A$ax_cv_opt_perl_shebang" != "A"
7237 +     then
7238 +       ac_cv_sys_kernshrpbang_perl="$ax_cv_opt_perl_shebang"
7239 +       PERL_SHEBANG="$ac_cv_sys_kernshrpbang_perl"
7240 +              { echo "$as_me:$LINENO: OK - PERL_SHEBANG is $_sHpB$PERL_SHEBANG." >&5
7241 + echo "$as_me: OK - PERL_SHEBANG is $_sHpB$PERL_SHEBANG." >&6;}
7242 +
7243 + # Automatic detection of sharpbang formula starts here
7244 +     else
7245 +   _somian_shbangperl=`$PERLINTERP -V:startperl`
7246 +   negclass="[^']"; # must leave this comment:  m4 will remove the outer brackets for us, heheh
7247 +   echo "$as_me:$LINENO: checking for kernel sharpbang invocation to start perl" >&5
7248 + echo $ECHO_N "checking for kernel sharpbang invocation to start perl... $ECHO_C" >&6
7249 + if test "${ac_cv_sys_kernshrpbang_perl+set}" = set; then
7250 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7251 + else
7252 +  _somian_kspb_perl=`echo "$_somian_shbangperl" | sed -ne"s|.*='\($negclass*\)';$|\1|p"`
7253 +        if test "x$_somian_kspb_perl" == x
7254 +          then _somian_ksbp_warn_empty='durnit'
7255 +          else
7256 +          case "A$_somian_kspb_perl" in
7257 +                 A#!*perl* )
7258 +           ac_cv_sys_kernshrpbang_perl=`echo "$_somian_kspb_perl" | sed -e's|#!\(.*\)$|\1|'`
7259 +                        ;;
7260 +                     A*    )  _somian_ksbp_warn_defau='trouble'
7261 +                              ac_cv_sys_kernshrpbang_perl="$PERLINTERP"
7262 +          esac
7263 +        fi
7264  
7265   fi
7266 + echo "$as_me:$LINENO: result: $ac_cv_sys_kernshrpbang_perl" >&5
7267 + echo "${ECHO_T}$ac_cv_sys_kernshrpbang_perl" >&6
7268 + # The above prints Checking ... result message to user.
7269 +   PERL_SHEBANG="$ac_cv_sys_kernshrpbang_perl"
7270 +
7271 +    if test A${_somian_ksbp_warn_empty+set} == Aset
7272 +      then   { echo "$as_me:$LINENO: WARNING: In last check, doing $PERLINTERP -V:startperl yielded empty result! That should not happen." >&5
7273 + echo "$as_me: WARNING: In last check, doing $PERLINTERP -V:startperl yielded empty result! That should not happen." >&2;}
7274 +    fi
7275 + # Inform user after printing result value
7276 +    if test A${_somian_ksbp_warn_defau+set} == Aset
7277 +      then { echo "$as_me:$LINENO: Maybe Not good -" >&5
7278 + echo "$as_me: Maybe Not good -" >&6;}
7279 +           { echo "$as_me:$LINENO: WARNING: In last check perl's Config query did not work so we bunted: $_sHpB$PERLINTERP" >&5
7280 + echo "$as_me: WARNING: In last check perl's Config query did not work so we bunted: $_sHpB$PERLINTERP" >&2;}
7281 +      else { echo "$as_me:$LINENO: OK Good result - " >&5
7282 + echo "$as_me: OK Good result - " >&6;}
7283 +           { echo "$as_me:$LINENO: In last check we got a proper-looking answer from perl's Config: $_somian_shbangperl" >&5
7284 + echo "$as_me: In last check we got a proper-looking answer from perl's Config: $_somian_shbangperl" >&6;}
7285 +    fi
7286 +  fi
7287 +
7288   # Extract the first word of "ar", so it can be a program name with args.
7289   set dummy ar; ac_word=$2
7290   echo "$as_me:$LINENO: checking for $ac_word" >&5
# Line 7819 | Line 7949 | fi
7949  
7950  
7951  
7952 + USE_CGAL=no
7953 + cgal_makefile=auto
7954  
7955 + # Check whether --with-cgal-makefile or --without-cgal-makefile was given.
7956 + if test "${with_cgal_makefile+set}" = set; then
7957 +  withval="$with_cgal_makefile"
7958 +  cgal_makefile="$withval"
7959 + fi;
7960 +
7961 + if test "x$cgal_makefile" != xno; then
7962 +
7963 +  if test "x$cgal_makefile" = xauto -a "x$CGAL_MAKEFILE" != x; then
7964 +    cgal_makefile="$CGAL_MAKEFILE"
7965 +  fi
7966 +
7967 +  echo "$as_me:$LINENO: checking for cgal_makefile: $cgal_makefile" >&5
7968 + echo $ECHO_N "checking for cgal_makefile: $cgal_makefile... $ECHO_C" >&6
7969 +
7970 +  if test -f "$cgal_makefile"; then
7971 +
7972 +    cat >config.tmp.Makefile <<EOF
7973 + include $cgal_makefile
7974 + default:
7975 +        @echo CGAL_OS_COMPILER=\"\${CGAL_OS_COMPILER}\" >config.tmp.cgalvariables
7976 +        @echo CGAL_INCLDIR=\"\${CGAL_INCL_DIR}\" >>config.tmp.cgalvariables
7977 +        @echo CGAL_INCLCONFDIR=\"\${CGAL_INCL_CONF_DIR}\" >>config.tmp.cgalvariables
7978 +        @echo CGAL_LIBDIR=\"\${CGAL_LIB_DIR}/\${CGAL_OS_COMPILER}\" >>config.tmp.cgalvariables
7979 +        @echo CGAL_RLIBDIR=\"\${CGAL_LIB_DIR}/\${CGAL_OS_COMPILER}\" >>config.tmp.cgalvariables
7980 +        @echo CGAL_CXXFLAGS=\"\${CGAL_CXXFLAGS}\" >>config.tmp.cgalvariables
7981 +        @echo GMP_INCLDIR=\"\${GMP_INCL_DIR}\" >>config.tmp.cgalvariables
7982 +        @echo GMP_LIBDIR=\"\${GMP_LIB_DIR}\" >>config.tmp.cgalvariables
7983 +        @echo GMP_RLIBDIR=\"\${GMP_LIB_DIR}\" >>config.tmp.cgalvariables
7984 +        @echo LEDA_INCLDIR=\"\${LEDA_INCL_DIR}\" >>config.tmp.cgalvariables
7985 +        @echo LEDA_LIBDIR=\"\${LEDA_LIB_DIR}\" >>config.tmp.cgalvariables
7986 +        @echo LEDA_RLIBDIR=\"\${LEDA_LIB_DIR}\" >>config.tmp.cgalvariables
7987 + EOF
7988 +
7989 +    make -s -f config.tmp.Makefile
7990 +    . config.tmp.cgalvariables
7991 +
7992 +    rm -f config.tmp.Makefile config.tmp.cgalvariables
7993 +
7994 +    if test "x$CGAL_INCLDIR" = "x"; then
7995 +      CGAL_INCLDIR=""
7996 +    fi
7997 +
7998 +    if test "x$CGAL_LIBDIR" = "x"; then
7999 +      CGAL_LIBDIR=""
8000 +    fi
8001 +
8002 +    if test "x$CGAL_RLIBDIR" = "x"; then
8003 +      CGAL_RLIBDIR=""
8004 +    fi
8005 +
8006 +    if test "x$LEDA_INCLDIR" = "x"; then
8007 +      LEDA_INCLDIR=""
8008 +    fi
8009 +
8010 +    if test "x$LEDA_LIBDIR" = "x"; then
8011 +      LEDA_LIBDIR=""
8012 +    fi
8013 +
8014 +    if test "x$LEDA_RLIBDIR" = "x"; then
8015 +      LEDA_RLIBDIR=""
8016 +    fi
8017 +
8018 +    if test "x$GMP_INCLDIR" = "x"; then
8019 +      GMP_INCLDIR=""
8020 +    fi
8021 +
8022 +    if test "x$GMP_LIBDIR" = "x"; then
8023 +      GMP_LIBDIR=""
8024 +    fi
8025 +
8026 +    if test "x$GMP_RLIBDIR" = "x"; then
8027 +      GMP_RLIBDIR=""
8028 +    fi
8029 +
8030 +    echo "$as_me:$LINENO: result: CGAL_OS_COMPILER=   $CGAL_OS_COMPILER" >&5
8031 + echo "${ECHO_T}CGAL_OS_COMPILER=   $CGAL_OS_COMPILER" >&6
8032 +    echo "$as_me:$LINENO: result: CGAL_INCLDIR=       $CGAL_INCLDIR" >&5
8033 + echo "${ECHO_T}CGAL_INCLDIR=       $CGAL_INCLDIR" >&6
8034 +    echo "$as_me:$LINENO: result: CGAL_INCLCONFDIR=   $CGAL_INCLCONFDIR" >&5
8035 + echo "${ECHO_T}CGAL_INCLCONFDIR=   $CGAL_INCLCONFDIR" >&6
8036 +    echo "$as_me:$LINENO: result: CGAL_LIBDIR=        $CGAL_LIBDIR" >&5
8037 + echo "${ECHO_T}CGAL_LIBDIR=        $CGAL_LIBDIR" >&6
8038 +    echo "$as_me:$LINENO: result: CGAL_CXXFLAGS=      $CGAL_CXXFLAGS" >&5
8039 + echo "${ECHO_T}CGAL_CXXFLAGS=      $CGAL_CXXFLAGS" >&6
8040 +    echo "$as_me:$LINENO: result: LEDA_INCLDIR=       $LEDA_INCLDIR" >&5
8041 + echo "${ECHO_T}LEDA_INCLDIR=       $LEDA_INCLDIR" >&6
8042 +    echo "$as_me:$LINENO: result: LEDA_LIBDIR=        $LEDA_LIBDIR" >&5
8043 + echo "${ECHO_T}LEDA_LIBDIR=        $LEDA_LIBDIR" >&6
8044 +    echo "$as_me:$LINENO: result: GMP_INCLDIR=        $GMP_INCLDIR" >&5
8045 + echo "${ECHO_T}GMP_INCLDIR=        $GMP_INCLDIR" >&6
8046 +    echo "$as_me:$LINENO: result: GMP_LIBDIR=         $GMP_LIBDIR" >&5
8047 + echo "${ECHO_T}GMP_LIBDIR=         $GMP_LIBDIR" >&6
8048 +
8049 +    ac_ext=cc
8050 + ac_cpp='$CXXCPP $CPPFLAGS'
8051 + ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
8052 + ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
8053 + ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
8054 +
8055 +    save_CXXFLAGS="$CXXFLAGS"
8056 +    CXXFLAGS="$CXXFLAGS -I$CGAL_INCLDIR -I$CGAL_INCLCONFDIR"
8057 +
8058 + ac_ext=cc
8059 + ac_cpp='$CXXCPP $CPPFLAGS'
8060 + ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
8061 + ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
8062 + ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
8063 + echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
8064 + echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6
8065 + if test -z "$CXXCPP"; then
8066 +  if test "${ac_cv_prog_CXXCPP+set}" = set; then
8067 +  echo $ECHO_N "(cached) $ECHO_C" >&6
8068 + else
8069 +      # Double quotes because CXXCPP needs to be expanded
8070 +    for CXXCPP in "$CXX -E" "/lib/cpp"
8071 +    do
8072 +      ac_preproc_ok=false
8073 + for ac_cxx_preproc_warn_flag in '' yes
8074 + do
8075 +  # Use a header file that comes with gcc, so configuring glibc
8076 +  # with a fresh cross-compiler works.
8077 +  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
8078 +  # <limits.h> exists even on freestanding compilers.
8079 +  # On the NeXT, cc -E runs the code through the compiler's parser,
8080 +  # not just through cpp. "Syntax error" is here to catch this case.
8081 +  cat >conftest.$ac_ext <<_ACEOF
8082 + /* confdefs.h.  */
8083 + _ACEOF
8084 + cat confdefs.h >>conftest.$ac_ext
8085 + cat >>conftest.$ac_ext <<_ACEOF
8086 + /* end confdefs.h.  */
8087 + #ifdef __STDC__
8088 + # include <limits.h>
8089 + #else
8090 + # include <assert.h>
8091 + #endif
8092 +                     Syntax error
8093 + _ACEOF
8094 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8095 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8096 +  ac_status=$?
8097 +  grep -v '^ *+' conftest.er1 >conftest.err
8098 +  rm -f conftest.er1
8099 +  cat conftest.err >&5
8100 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8101 +  (exit $ac_status); } >/dev/null; then
8102 +  if test -s conftest.err; then
8103 +    ac_cpp_err=$ac_cxx_preproc_warn_flag
8104 +    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8105 +  else
8106 +    ac_cpp_err=
8107 +  fi
8108 + else
8109 +  ac_cpp_err=yes
8110 + fi
8111 + if test -z "$ac_cpp_err"; then
8112 +  :
8113 + else
8114 +  echo "$as_me: failed program was:" >&5
8115 + sed 's/^/| /' conftest.$ac_ext >&5
8116 +
8117 +  # Broken: fails on valid input.
8118 + continue
8119 + fi
8120 + rm -f conftest.err conftest.$ac_ext
8121 +
8122 +  # OK, works on sane cases.  Now check whether non-existent headers
8123 +  # can be detected and how.
8124 +  cat >conftest.$ac_ext <<_ACEOF
8125 + /* confdefs.h.  */
8126 + _ACEOF
8127 + cat confdefs.h >>conftest.$ac_ext
8128 + cat >>conftest.$ac_ext <<_ACEOF
8129 + /* end confdefs.h.  */
8130 + #include <ac_nonexistent.h>
8131 + _ACEOF
8132 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8133 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8134 +  ac_status=$?
8135 +  grep -v '^ *+' conftest.er1 >conftest.err
8136 +  rm -f conftest.er1
8137 +  cat conftest.err >&5
8138 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8139 +  (exit $ac_status); } >/dev/null; then
8140 +  if test -s conftest.err; then
8141 +    ac_cpp_err=$ac_cxx_preproc_warn_flag
8142 +    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8143 +  else
8144 +    ac_cpp_err=
8145 +  fi
8146 + else
8147 +  ac_cpp_err=yes
8148 + fi
8149 + if test -z "$ac_cpp_err"; then
8150 +  # Broken: success on invalid input.
8151 + continue
8152 + else
8153 +  echo "$as_me: failed program was:" >&5
8154 + sed 's/^/| /' conftest.$ac_ext >&5
8155 +
8156 +  # Passes both tests.
8157 + ac_preproc_ok=:
8158 + break
8159 + fi
8160 + rm -f conftest.err conftest.$ac_ext
8161 +
8162 + done
8163 + # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
8164 + rm -f conftest.err conftest.$ac_ext
8165 + if $ac_preproc_ok; then
8166 +  break
8167 + fi
8168 +
8169 +    done
8170 +    ac_cv_prog_CXXCPP=$CXXCPP
8171 +
8172 + fi
8173 +  CXXCPP=$ac_cv_prog_CXXCPP
8174 + else
8175 +  ac_cv_prog_CXXCPP=$CXXCPP
8176 + fi
8177 + echo "$as_me:$LINENO: result: $CXXCPP" >&5
8178 + echo "${ECHO_T}$CXXCPP" >&6
8179 + ac_preproc_ok=false
8180 + for ac_cxx_preproc_warn_flag in '' yes
8181 + do
8182 +  # Use a header file that comes with gcc, so configuring glibc
8183 +  # with a fresh cross-compiler works.
8184 +  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
8185 +  # <limits.h> exists even on freestanding compilers.
8186 +  # On the NeXT, cc -E runs the code through the compiler's parser,
8187 +  # not just through cpp. "Syntax error" is here to catch this case.
8188 +  cat >conftest.$ac_ext <<_ACEOF
8189 + /* confdefs.h.  */
8190 + _ACEOF
8191 + cat confdefs.h >>conftest.$ac_ext
8192 + cat >>conftest.$ac_ext <<_ACEOF
8193 + /* end confdefs.h.  */
8194 + #ifdef __STDC__
8195 + # include <limits.h>
8196 + #else
8197 + # include <assert.h>
8198 + #endif
8199 +                     Syntax error
8200 + _ACEOF
8201 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8202 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8203 +  ac_status=$?
8204 +  grep -v '^ *+' conftest.er1 >conftest.err
8205 +  rm -f conftest.er1
8206 +  cat conftest.err >&5
8207 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8208 +  (exit $ac_status); } >/dev/null; then
8209 +  if test -s conftest.err; then
8210 +    ac_cpp_err=$ac_cxx_preproc_warn_flag
8211 +    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8212 +  else
8213 +    ac_cpp_err=
8214 +  fi
8215 + else
8216 +  ac_cpp_err=yes
8217 + fi
8218 + if test -z "$ac_cpp_err"; then
8219 +  :
8220 + else
8221 +  echo "$as_me: failed program was:" >&5
8222 + sed 's/^/| /' conftest.$ac_ext >&5
8223 +
8224 +  # Broken: fails on valid input.
8225 + continue
8226 + fi
8227 + rm -f conftest.err conftest.$ac_ext
8228 +
8229 +  # OK, works on sane cases.  Now check whether non-existent headers
8230 +  # can be detected and how.
8231 +  cat >conftest.$ac_ext <<_ACEOF
8232 + /* confdefs.h.  */
8233 + _ACEOF
8234 + cat confdefs.h >>conftest.$ac_ext
8235 + cat >>conftest.$ac_ext <<_ACEOF
8236 + /* end confdefs.h.  */
8237 + #include <ac_nonexistent.h>
8238 + _ACEOF
8239 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8240 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8241 +  ac_status=$?
8242 +  grep -v '^ *+' conftest.er1 >conftest.err
8243 +  rm -f conftest.er1
8244 +  cat conftest.err >&5
8245 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8246 +  (exit $ac_status); } >/dev/null; then
8247 +  if test -s conftest.err; then
8248 +    ac_cpp_err=$ac_cxx_preproc_warn_flag
8249 +    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8250 +  else
8251 +    ac_cpp_err=
8252 +  fi
8253 + else
8254 +  ac_cpp_err=yes
8255 + fi
8256 + if test -z "$ac_cpp_err"; then
8257 +  # Broken: success on invalid input.
8258 + continue
8259 + else
8260 +  echo "$as_me: failed program was:" >&5
8261 + sed 's/^/| /' conftest.$ac_ext >&5
8262 +
8263 +  # Passes both tests.
8264 + ac_preproc_ok=:
8265 + break
8266 + fi
8267 + rm -f conftest.err conftest.$ac_ext
8268 +
8269 + done
8270 + # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
8271 + rm -f conftest.err conftest.$ac_ext
8272 + if $ac_preproc_ok; then
8273 +  :
8274 + else
8275 +  { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
8276 + See \`config.log' for more details." >&5
8277 + echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
8278 + See \`config.log' for more details." >&2;}
8279 +   { (exit 1); exit 1; }; }
8280 + fi
8281 +
8282 + ac_ext=cc
8283 + ac_cpp='$CXXCPP $CPPFLAGS'
8284 + ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
8285 + ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
8286 + ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
8287 +
8288 +
8289 + if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
8290 +  echo "$as_me:$LINENO: checking for CGAL/Cartesian.h" >&5
8291 + echo $ECHO_N "checking for CGAL/Cartesian.h... $ECHO_C" >&6
8292 + if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
8293 +  echo $ECHO_N "(cached) $ECHO_C" >&6
8294 + fi
8295 + echo "$as_me:$LINENO: result: $ac_cv_header_CGAL_Cartesian_h" >&5
8296 + echo "${ECHO_T}$ac_cv_header_CGAL_Cartesian_h" >&6
8297 + else
8298 +  # Is the header compilable?
8299 + echo "$as_me:$LINENO: checking CGAL/Cartesian.h usability" >&5
8300 + echo $ECHO_N "checking CGAL/Cartesian.h usability... $ECHO_C" >&6
8301 + cat >conftest.$ac_ext <<_ACEOF
8302 + /* confdefs.h.  */
8303 + _ACEOF
8304 + cat confdefs.h >>conftest.$ac_ext
8305 + cat >>conftest.$ac_ext <<_ACEOF
8306 + /* end confdefs.h.  */
8307 + $ac_includes_default
8308 + #include <CGAL/Cartesian.h>
8309 + _ACEOF
8310 + rm -f conftest.$ac_objext
8311 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
8312 +  (eval $ac_compile) 2>conftest.er1
8313 +  ac_status=$?
8314 +  grep -v '^ *+' conftest.er1 >conftest.err
8315 +  rm -f conftest.er1
8316 +  cat conftest.err >&5
8317 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8318 +  (exit $ac_status); } &&
8319 +         { ac_try='test -z "$ac_cxx_werror_flag"
8320 +                         || test ! -s conftest.err'
8321 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8322 +  (eval $ac_try) 2>&5
8323 +  ac_status=$?
8324 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8325 +  (exit $ac_status); }; } &&
8326 +         { ac_try='test -s conftest.$ac_objext'
8327 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8328 +  (eval $ac_try) 2>&5
8329 +  ac_status=$?
8330 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8331 +  (exit $ac_status); }; }; then
8332 +  ac_header_compiler=yes
8333 + else
8334 +  echo "$as_me: failed program was:" >&5
8335 + sed 's/^/| /' conftest.$ac_ext >&5
8336 +
8337 + ac_header_compiler=no
8338 + fi
8339 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
8340 + echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
8341 + echo "${ECHO_T}$ac_header_compiler" >&6
8342 +
8343 + # Is the header present?
8344 + echo "$as_me:$LINENO: checking CGAL/Cartesian.h presence" >&5
8345 + echo $ECHO_N "checking CGAL/Cartesian.h presence... $ECHO_C" >&6
8346 + cat >conftest.$ac_ext <<_ACEOF
8347 + /* confdefs.h.  */
8348 + _ACEOF
8349 + cat confdefs.h >>conftest.$ac_ext
8350 + cat >>conftest.$ac_ext <<_ACEOF
8351 + /* end confdefs.h.  */
8352 + #include <CGAL/Cartesian.h>
8353 + _ACEOF
8354 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8355 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8356 +  ac_status=$?
8357 +  grep -v '^ *+' conftest.er1 >conftest.err
8358 +  rm -f conftest.er1
8359 +  cat conftest.err >&5
8360 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8361 +  (exit $ac_status); } >/dev/null; then
8362 +  if test -s conftest.err; then
8363 +    ac_cpp_err=$ac_cxx_preproc_warn_flag
8364 +    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8365 +  else
8366 +    ac_cpp_err=
8367 +  fi
8368 + else
8369 +  ac_cpp_err=yes
8370 + fi
8371 + if test -z "$ac_cpp_err"; then
8372 +  ac_header_preproc=yes
8373 + else
8374 +  echo "$as_me: failed program was:" >&5
8375 + sed 's/^/| /' conftest.$ac_ext >&5
8376 +
8377 +  ac_header_preproc=no
8378 + fi
8379 + rm -f conftest.err conftest.$ac_ext
8380 + echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
8381 + echo "${ECHO_T}$ac_header_preproc" >&6
8382 +
8383 + # So?  What about this header?
8384 + case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
8385 +  yes:no: )
8386 +    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: accepted by the compiler, rejected by the preprocessor!" >&5
8387 + echo "$as_me: WARNING: CGAL/Cartesian.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
8388 +    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: proceeding with the compiler's result" >&5
8389 + echo "$as_me: WARNING: CGAL/Cartesian.h: proceeding with the compiler's result" >&2;}
8390 +    ac_header_preproc=yes
8391 +    ;;
8392 +  no:yes:* )
8393 +    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: present but cannot be compiled" >&5
8394 + echo "$as_me: WARNING: CGAL/Cartesian.h: present but cannot be compiled" >&2;}
8395 +    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h:     check for missing prerequisite headers?" >&5
8396 + echo "$as_me: WARNING: CGAL/Cartesian.h:     check for missing prerequisite headers?" >&2;}
8397 +    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: see the Autoconf documentation" >&5
8398 + echo "$as_me: WARNING: CGAL/Cartesian.h: see the Autoconf documentation" >&2;}
8399 +    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h:     section \"Present But Cannot Be Compiled\"" >&5
8400 + echo "$as_me: WARNING: CGAL/Cartesian.h:     section \"Present But Cannot Be Compiled\"" >&2;}
8401 +    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: proceeding with the preprocessor's result" >&5
8402 + echo "$as_me: WARNING: CGAL/Cartesian.h: proceeding with the preprocessor's result" >&2;}
8403 +    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: in the future, the compiler will take precedence" >&5
8404 + echo "$as_me: WARNING: CGAL/Cartesian.h: in the future, the compiler will take precedence" >&2;}
8405 +    (
8406 +      cat <<\_ASBOX
8407 + ## ------------------------------ ##
8408 + ## Report this to gezelter@nd.edu ##
8409 + ## ------------------------------ ##
8410 + _ASBOX
8411 +    ) |
8412 +      sed "s/^/$as_me: WARNING:     /" >&2
8413 +    ;;
8414 + esac
8415 + echo "$as_me:$LINENO: checking for CGAL/Cartesian.h" >&5
8416 + echo $ECHO_N "checking for CGAL/Cartesian.h... $ECHO_C" >&6
8417 + if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
8418 +  echo $ECHO_N "(cached) $ECHO_C" >&6
8419 + else
8420 +  ac_cv_header_CGAL_Cartesian_h=$ac_header_preproc
8421 + fi
8422 + echo "$as_me:$LINENO: result: $ac_cv_header_CGAL_Cartesian_h" >&5
8423 + echo "${ECHO_T}$ac_cv_header_CGAL_Cartesian_h" >&6
8424 +
8425 + fi
8426 + if test $ac_cv_header_CGAL_Cartesian_h = yes; then
8427 +  cgal=yes
8428 + else
8429 +  cgal=no
8430 + fi
8431 +
8432 +
8433 +    CXXFLAGS="$save_CXXFLAGS"
8434 +
8435 +    if test "x$cgal" = xyes; then
8436 +      echo "$as_me:$LINENO: checking for CGAL version" >&5
8437 + echo $ECHO_N "checking for CGAL version... $ECHO_C" >&6
8438 +      LOCATION=${CGAL_INCLDIR}
8439 +      LOCATION=${LOCATION:-/usr/include}
8440 +      if test -f $LOCATION/CGAL/version.h; then
8441 +        CGAL_VERSION=`grep '#define.*\<CGAL_VERSION\>.*' $LOCATION/CGAL/version.h | sed 's/[^0-9\.]*//g'`
8442 +      else
8443 +        CGAL_VERSION=`grep '#define.*\<CGAL_VERSION\>.*' $LOCATION/CGAL/config.h | sed 's/[^0-9\.]*//g'`
8444 +      fi
8445 +      if echo $CGAL_VERSION | grep -q "^[3456789]"; then
8446 +        echo "$as_me:$LINENO: result: ($CGAL_VERSION) yes" >&5
8447 + echo "${ECHO_T}($CGAL_VERSION) yes" >&6
8448 +      else
8449 +        echo "$as_me:$LINENO: result: ($CGAL_VERSION) no" >&5
8450 + echo "${ECHO_T}($CGAL_VERSION) no" >&6
8451 +        cgal=no
8452 +      fi
8453 +    fi
8454 +
8455 +    if test "x$cgal" = xyes; then
8456 +      CGAL_LIBS="-lCGAL"
8457 +      echo "$as_me:$LINENO: checking whether CGAL uses LEDA" >&5
8458 + echo $ECHO_N "checking whether CGAL uses LEDA... $ECHO_C" >&6
8459 +      if echo $CGAL_CXXFLAGS | grep -q -- -DCGAL_USE_LEDA; then
8460 +        CGAL_USES_LEDA=yes
8461 +        echo "$as_me:$LINENO: result: yes" >&5
8462 + echo "${ECHO_T}yes" >&6
8463 +        CGAL_DEFINES="-DCGAL_USE_LEDA -DLEDA_PREFIX"
8464 +      else
8465 +        echo "$as_me:$LINENO: result: no" >&5
8466 + echo "${ECHO_T}no" >&6
8467 +        CGAL_USES_LEDA=no
8468 +      fi
8469 +
8470 +      echo "$as_me:$LINENO: checking whether CGAL uses GMP" >&5
8471 + echo $ECHO_N "checking whether CGAL uses GMP... $ECHO_C" >&6
8472 +      if echo $CGAL_CXXFLAGS | grep -q -- -DCGAL_USE_GMP; then
8473 +        CGAL_USES_GMP=yes
8474 +        echo "$as_me:$LINENO: result: yes" >&5
8475 + echo "${ECHO_T}yes" >&6
8476 +        CGAL_DEFINES="-DCGAL_USE_GMP $CGAL_DEFINES"
8477 +      else
8478 +        echo "$as_me:$LINENO: result: no" >&5
8479 + echo "${ECHO_T}no" >&6
8480 +        CGAL_USES_GMP=no
8481 +      fi
8482 +
8483 +      CGAL_LIBS="$CGAL_LIBS -lm"
8484 +
8485 +      CGAL_CXXFLAGS="-ftemplate-depth-50"
8486 +
8487 +      echo "$as_me:$LINENO: result: CGAL_USES_LEDA=     $CGAL_USES_LEDA" >&5
8488 + echo "${ECHO_T}CGAL_USES_LEDA=     $CGAL_USES_LEDA" >&6
8489 +      echo "$as_me:$LINENO: result: CGAL_USES_GMP =     $CGAL_USES_GMP" >&5
8490 + echo "${ECHO_T}CGAL_USES_GMP =     $CGAL_USES_GMP" >&6
8491 +      echo "$as_me:$LINENO: result: CGAL_INCLDIR  =     $CGAL_INCLDIR" >&5
8492 + echo "${ECHO_T}CGAL_INCLDIR  =     $CGAL_INCLDIR" >&6
8493 +      echo "$as_me:$LINENO: result: CGAL_LIBDIR   =     $CGAL_LIBDIR" >&5
8494 + echo "${ECHO_T}CGAL_LIBDIR   =     $CGAL_LIBDIR" >&6
8495 +      echo "$as_me:$LINENO: result: CGAL_DEFINES  =     $CGAL_DEFINES" >&5
8496 + echo "${ECHO_T}CGAL_DEFINES  =     $CGAL_DEFINES" >&6
8497 +      echo "$as_me:$LINENO: result: CGAL_CXXFLAGS =     $CGAL_CXXFLAGS" >&5
8498 + echo "${ECHO_T}CGAL_CXXFLAGS =     $CGAL_CXXFLAGS" >&6
8499 +      echo "$as_me:$LINENO: result: CGAL_LIBS     =     $CGAL_LIBS" >&5
8500 + echo "${ECHO_T}CGAL_LIBS     =     $CGAL_LIBS" >&6
8501 +    fi
8502 +
8503 +    if test "x$cgal" = xyes; then
8504 +      save_LIBS="$LIBS"
8505 +      LIBS="$LIBS -L$CGAL_LIBDIR"
8506 +      if test "x$CGAL_USES_LEDA" = xyes; then
8507 +        LIBS="-lL $LIBS -L$LEDA_LIBDIR"
8508 +      fi
8509 +      # if test "x$CGAL_USES_GMP" = xyes; then
8510 +      #   LIBS="-lgmp $LIBS $GMP_LIBDIR"
8511 +      # fi
8512 +      echo "$as_me:$LINENO: checking for ::CGAL::Cartesian<int>::Point_2 in -lCGAL" >&5
8513 + echo $ECHO_N "checking for ::CGAL::Cartesian<int>::Point_2 in -lCGAL... $ECHO_C" >&6
8514 + save_CXXFLAGS_CHECK_CXX_LIB="$CXXFLAGS"
8515 + CXXFLAGS="$CXXFLAGS -I$CGAL_INCLDIR -I$CGAL_INCLCONFDIR"
8516 + save_LIBS_CHECK_CXX_LIB="$LIBS"
8517 + LIBS="-lCGAL  $LIBS"
8518 + cat >conftest.$ac_ext <<_ACEOF
8519 + /* confdefs.h.  */
8520 + _ACEOF
8521 + cat confdefs.h >>conftest.$ac_ext
8522 + cat >>conftest.$ac_ext <<_ACEOF
8523 + /* end confdefs.h.  */
8524 + #include <CGAL/Cartesian.h>
8525 + int
8526 + main ()
8527 + {
8528 + ::CGAL::Cartesian<int>::Point_2 P
8529 +  ;
8530 +  return 0;
8531 + }
8532 + _ACEOF
8533 + rm -f conftest.$ac_objext conftest$ac_exeext
8534 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
8535 +  (eval $ac_link) 2>conftest.er1
8536 +  ac_status=$?
8537 +  grep -v '^ *+' conftest.er1 >conftest.err
8538 +  rm -f conftest.er1
8539 +  cat conftest.err >&5
8540 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8541 +  (exit $ac_status); } &&
8542 +         { ac_try='test -z "$ac_cxx_werror_flag"
8543 +                         || test ! -s conftest.err'
8544 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8545 +  (eval $ac_try) 2>&5
8546 +  ac_status=$?
8547 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8548 +  (exit $ac_status); }; } &&
8549 +         { ac_try='test -s conftest$ac_exeext'
8550 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8551 +  (eval $ac_try) 2>&5
8552 +  ac_status=$?
8553 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8554 +  (exit $ac_status); }; }; then
8555 +  echo "$as_me:$LINENO: result: yes" >&5
8556 + echo "${ECHO_T}yes" >&6
8557 + cgal=yes
8558 + else
8559 +  echo "$as_me: failed program was:" >&5
8560 + sed 's/^/| /' conftest.$ac_ext >&5
8561 +
8562 + echo "$as_me:$LINENO: result: no" >&5
8563 + echo "${ECHO_T}no" >&6
8564 + cgal=no
8565 + fi
8566 + rm -f conftest.err conftest.$ac_objext \
8567 +      conftest$ac_exeext conftest.$ac_ext
8568 + CXXFLAGS="$save_CXXFLAGS_CHECK_CXX_LIB"
8569 + LIBS="$save_LIBS_CHECK_CXX_LIB"
8570 +      LIBS="$save_LIBS"
8571 +    fi
8572 +
8573 +  fi
8574 +  ac_ext=c
8575 + ac_cpp='$CPP $CPPFLAGS'
8576 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
8577 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
8578 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
8579 +
8580 +
8581 + fi
8582 +
8583 + if test "x$cgal" = xyes; then
8584 +  USE_CGAL=yes
8585 +
8586 + cat >>confdefs.h <<\_ACEOF
8587 + #define HAVE_CGAL 1
8588 + _ACEOF
8589 +
8590 +
8591 + cat >>confdefs.h <<_ACEOF
8592 + #define CGAL_VERSION $CGAL_VERSION
8593 + _ACEOF
8594 +
8595 +  if ! echo $CGAL_VERSION | grep -q "^3.0"; then
8596 +    { echo "$as_me:$LINENO: WARNING: *****************************************************" >&5
8597 + echo "$as_me: WARNING: *****************************************************" >&2;}
8598 +    { echo "$as_me:$LINENO: WARNING: *** Warning: Your CGAL version is newer than the  ***" >&5
8599 + echo "$as_me: WARNING: *** Warning: Your CGAL version is newer than the  ***" >&2;}
8600 +    { echo "$as_me:$LINENO: WARNING: *** supported versions. It may still work though. ***" >&5
8601 + echo "$as_me: WARNING: *** supported versions. It may still work though. ***" >&2;}
8602 +    { echo "$as_me:$LINENO: WARNING: *****************************************************" >&5
8603 + echo "$as_me: WARNING: *****************************************************" >&2;}
8604 +  fi
8605 + else
8606 +   if test "x$cgal_makefile" != xno; then
8607 +    echo "$as_me:$LINENO: result: No CGAL support. These are not the droids you want." >&5
8608 + echo "${ECHO_T}No CGAL support. These are not the droids you want." >&6
8609 +  fi
8610 +  CGAL_INCLDIR=
8611 +  CGAL_LIBDIR=
8612 +  CGAL_RLIBDIR=
8613 +  CGAL_DEFINES=
8614 +  CGAL_CXXFLAGS=
8615 +  CGAL_LIBS=
8616 + fi
8617 +
8618 +
8619 + CGAL_INC_DIR="${CGAL_INCLDIR} ${CGAL_INCLCONFDIR}"
8620 +
8621 + CGAL_LIB_DIR=${CGAL_LIBDIR}
8622 +
8623 + CGAL_RLIB_DIR=${CGAL_RLIBDIR}
8624 +
8625 +
8626 +
8627 +
8628 +
8629 +
8630 +
8631   # Check whether --enable-doxygen or --disable-doxygen was given.
8632   if test "${enable_doxygen+set}" = set; then
8633    enableval="$enable_doxygen"
# Line 8020 | Line 8828 | esac
8828  
8829            ac_config_headers="$ac_config_headers src/config.h"
8830  
8831 <                    ac_config_files="$ac_config_files make/Makefile src/utils/Makefile"
8831 >                                        ac_config_files="$ac_config_files make/Makefile src/utils/Makefile src/applications/nanoRodBuilder/Makefile scripts/filepp"
8832  
8833  
8834   cat >confcache <<\_ACEOF
# Line 8553 | Line 9361 | do
9361    # Handling of arguments.
9362    "make/Makefile" ) CONFIG_FILES="$CONFIG_FILES make/Makefile" ;;
9363    "src/utils/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/utils/Makefile" ;;
9364 +  "src/applications/nanoRodBuilder/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/applications/nanoRodBuilder/Makefile" ;;
9365 +  "scripts/filepp" ) CONFIG_FILES="$CONFIG_FILES scripts/filepp" ;;
9366    "src/getopt.h" ) CONFIG_LINKS="$CONFIG_LINKS src/getopt.h:src/utils/gnugetopt.h" ;;
9367    "src/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS src/config.h" ;;
9368    *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
# Line 8689 | Line 9499 | s,@LEX_OUTPUT_ROOT@,$LEX_OUTPUT_ROOT,;t t
9499   s,@LEX@,$LEX,;t t
9500   s,@LEXLIB@,$LEXLIB,;t t
9501   s,@LEX_OUTPUT_ROOT@,$LEX_OUTPUT_ROOT,;t t
9502 + s,@PERLINTERP@,$PERLINTERP,;t t
9503 + s,@PERL_SHEBANG@,$PERL_SHEBANG,;t t
9504   s,@AR@,$AR,;t t
9505   s,@PS@,$PS,;t t
9506   s,@MPI_LIB_DIR@,$MPI_LIB_DIR,;t t
# Line 8697 | Line 9509 | s,@USE_MPI@,$USE_MPI,;t t
9509   s,@MPI_LIB@,$MPI_LIB,;t t
9510   s,@MPI_F90_LIB@,$MPI_F90_LIB,;t t
9511   s,@USE_MPI@,$USE_MPI,;t t
9512 + s,@CXXCPP@,$CXXCPP,;t t
9513 + s,@USE_CGAL@,$USE_CGAL,;t t
9514 + s,@CGAL_INC_DIR@,$CGAL_INC_DIR,;t t
9515 + s,@CGAL_LIB_DIR@,$CGAL_LIB_DIR,;t t
9516 + s,@CGAL_RLIB_DIR@,$CGAL_RLIB_DIR,;t t
9517 + s,@CGAL_DEFINES@,$CGAL_DEFINES,;t t
9518 + s,@CGAL_CXXFLAGS@,$CGAL_CXXFLAGS,;t t
9519 + s,@CGAL_LIBS@,$CGAL_LIBS,;t t
9520   s,@DOXYGEN@,$DOXYGEN,;t t
9521   s,@DOT@,$DOT,;t t
9522   s,@DOC@,$DOC,;t t
# Line 8946 | Line 9766 | s,@INSTALL@,$ac_INSTALL,;t t
9766      rm -f $tmp/out
9767    fi
9768  
9769 +  # Run the commands associated with the file.
9770 +  case $ac_file in
9771 +    make/Makefile ) chmod 0755 scripts/* ;;
9772 +    src/utils/Makefile ) chmod 0755 scripts/* ;;
9773 +    src/applications/nanoRodBuilder/Makefile ) chmod 0755 scripts/* ;;
9774 +    scripts/filepp ) chmod 0755 scripts/* ;;
9775 +  esac
9776   done
9777   _ACEOF
9778   cat >>$CONFIG_STATUS <<\_ACEOF

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines